Subject: Re: bug#21097: verify-store test failure on armhf-linux

From: Mark H Weaver <[email-masked]>
Date: Mon, 20 Jul 2015 19:24:49 -0400

[email-masked] (Ludovic Courtès) writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> actual-error: (srfi-34 #<condition &nix-protocol-error [message:
> "invalidating path
> `/tmp/nix-build-guix-0.8.2.72cd8ec.drv-0/source/test-tmp/store/pp8ls5jri3l8x8y24g1x3h6lkj0lr4gv-bash-light-4.3.39-guile-builder'
> in database: FOREIGN KEY constraint failed" status: 1] 6112e8>)
>
> Ouch.  This has been seen in Nix before:
> <http://lists.science.uu.nl/pipermail/nix-dev/2011-December/007471.html>.
>
> Is it 100% reproducible?

Unfortunately, I've been unable to reproduce it.  I ran the same test in
the failed build directory 10 more times, and it succeeded all 10 times.
I then restarted the build and it built successfully.

     Mark